version: "3.9"

services:
  app:
    image: orenciso/xgame-language-api:latest
    container_name: xgame-language-api
    env_file:
      - .env
    ports:
      - 3004:3004

  copy-language-env:
    image: orenciso/xgame-language-api:latest
    container_name: copy-language-env
    volumes:
      - /var/www/xgame-apis/xgame-language-api/.env:/temp/.env
    command: sh -c "cp /temp/.env /app/.env && exit"
